Interactive Ink

Answered

How to install my script pod

Hi I need to use myscript framework in a swift based project.I am installing  pod 'MyScriptInteractiveInk-Runtime'. but I am  getting

'iink/graphics/IINKStyle.h' file not found error.

Could you please tell me how to install myscript podfile.



Best Answer

Dear RK,


the only way to use our iink SDK with cocoapods is that you do not have the use_frameworks instruction.


The question is rather why the other modules need it? Indeed, since the 1.5 release of cocoapods, "use_frameworks" shall no longer be used. Instead please use

modular_headers: https://developer-support.myscript.com/support/discussions/topics/16000026236


Best regards,


Olivier


Hi, its not working. I am also using others pods in my project. When I remove  use_frameworks! from my pod file. I am getting many more errors message in my other pods.

Could you explain me how to integrate your myscript in my swift project.

Answer

Dear RK,


the only way to use our iink SDK with cocoapods is that you do not have the use_frameworks instruction.


The question is rather why the other modules need it? Indeed, since the 1.5 release of cocoapods, "use_frameworks" shall no longer be used. Instead please use

modular_headers: https://developer-support.myscript.com/support/discussions/topics/16000026236


Best regards,


Olivier